#pragma once
#include <wx/wx.h>

class ColoredLogCtrl : public wxTextCtrl {
public:
	ColoredLogCtrl(wxWindow* parent);

	void LogMessage(const wxString& message, const wxColour& color = *wxBLACK);
	void LogError(const wxString& message);
	void LogWarning(const wxString& message);
	void LogInfo(const wxString& message);
	void LogSuccess(const wxString& message);
};
